Subject: RE: New ID-Checklist to replace ID-nits (fwd)

From: [email-masked]
Date: Mon, 24 May 2004 11:45:32 -0700

Thanks Henrik,

I was referring to the idnits script.
I will run again with after changing 2026 to 3667.

Thanks for the boilerplate as well.

Since I don't have access to the old ID Nits document (I don't think I ever
saved off a copy), and nothing was mentioned in this new document, I was
assuming that all drafts not yet forwarded to the IESG will need to comply
with the new guidelines.  If we can still submit under 2026, it would be
handy to have access to the older checklist for a time.

Thanks,

Elizabeth
-----Original Message-----
From: Henrik Levkowetz [mailto:[email-masked]] 
Sent: Monday, May 24, 2004 1:37 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: New ID-Checklist to replace ID-nits (fwd)

Hi Elizabeth,

Sunday 23 May 2004, [email-masked] wrote:
> I am trying to check a document for my WG, and have a couple of
> questions/comments.
>
> 1) Internet Draft boilerplate
>
> Section 2.2, 1: It MUST contain boilerplate that permits publication as an
> RFC, see [RFC3667]Bradner, S., IETF Rights in Contributions, February
2004.,
> Section 5.2.
>
> Section 5.2 of 3667 does not seem to have a standard boilerplate, only the
> two boilerplates that restrict IETF derivative works.  So, are we supposed
> to use the 2026 boilerplate and replace 2026 with 3667?  The statement "
Do
> not add a numbered reference in the I-D boilerplate to RFC 3667 or RFC
3668
> (or to RFC 2026 for older documents)." Section 2.1, 7 implies that the
> boilerplate has been updated and references 3667.

FWIW, I enclose the boilerplate I've had some of the MIP4 authors use;
this also matches what the latest version of the xml2rfc produces.  As
far as I can see this complies fully with 3667 and 3668.

> 2) The script refers to sections in 2026, but the ID-checklist indicates
> using text verbatim from 3667 and 3668.

Not sure which script you're referring to, but if it is the 'idnits'
script, it looks at the draft and tries to determine whether the draft
is based on 2026 or 3667 boilerplate, and judges it accordingly.  A
future version will be strict in permitting 3667 only, but currently
there are a lot of drafts in flight based on 2026, so I going by the
'conform to either 2026 or 3667' approach for now.  Mmm, maybe I'll add
a switch which makes it 3667-strict now; with the updated ID-checklist
that seems reasonable.

	Henrik

> Thanks,
>
> Elizabeth Rodriguez
> -----Original Message-----
> From: Harald Tveit Alvestrand [mailto:[email-masked]]
> Sent: Friday, May 21, 2004 7:54 AM
> To: [email-masked]
> Subject: New ID-Checklist to replace ID-nits (fwd)
>
> I assume most of you saw this message on ietf-announce.
> But since it's especially important to the WG chairs, I'm forwarding it to
> you directly.
>
> Take care!
>
> ---------- Forwarded Message ----------
> Date: 20. mai 2004 09:34 -0400
> From: The IESG <[email-masked]>
> To: IETF-Announce
> Subject: New ID-Checklist to replace ID-nits
>
>     As you probably all know, we have used the ID-nits for a few
>     years to help you all to prepare your Internet-Drafts such that
>     they will process faster through the AD-review, IETF Last Call
>     and IESG approval process.
>
>     The name was somewhat wrong in that it is more a serious checklist
>     than merely "nits" (however, there are some nits too).
>     The IESG, RFC-Editor and IANA have evaluated the checklist, and
>     a new (improved) ID-Checklist is now available at
>
>             http://www.ietf.org/ID-Checklist.html
>
>     Please help us all by actually CHECKING your Internet-Draft BEFORE
>     you pass it on to your AD and the IESG via a "request to publish".
>     It will help to make the process go faster and reduce the workload
>     on all of us if your document has been checked and complies with
>     the guidance/rules in the ID-Checklist.
>
>     Thanks, the IESG
>
>
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf-announce
>
>
>
> ---------- End Forwarded Message ----------
>
>
>
>